Get all time entries for a circle Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/circles/{circle_uuid}/all-time-entries

Includes time entries within the circle's account's cases and tasks.

Path parameters

  • circle_uuid string Required
  • string string Required

    Optional parameter. $circle_uuid

Query parameters

  • filter[trackable_type] string

    Filter by a comma separated list of trackable types.

  • filter[account_uuids] string

    Time entries owned by account UUIDs, comma separated list. Do not include if getting time entries for current user.

  • filter[start_date_after] string

    Filter by time entries after a given start date.

  • filter[start_date_before] string

    Filter by time entries before a given start date.

  • filter[end_date_after] string

    Filter by time entries after a given end date.

  • filter[end_date_before] string

    Filter by time entries before a given end date.

  • sort string

    Field to sort by. Valid fields are [created_at, start_date, end_date]. Negative sign to denote DESC. Defaults to '-end_date'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • trackable_type string
      • trackable object
        Hide trackable attributes Show trackable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • start_date string
      • end_date string
      • is_active boolean
      • total_time_in_minutes integer
      • computed_time_elapsed_in_seconds integer
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

GET /api/v1/circles/{circle_uuid}/all-time-entries
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed/all-time-entries' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "c5256ca5-94bb-44bb-897a-bfe1fefb88b1",
      "created_at": "2026-07-20T09:57:23+01:00",
      "updated_at": "2026-07-20T09:57:23+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "trackable": {
        "uuid": "3254bc20-5f4b-4cbf-a850-8e19d9c7acc3",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "813b1931-7fef-4422-b11f-7c135dd76d88",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "start_date": "2026-07-20T09:07:23+01:00",
      "end_date": "2026-07-20T09:35:23+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680,
      "account": {
        "uuid": "b4875526-1c73-4d8d-863f-c8809a47e2c0",
        "created_at": "2026-07-20T09:57:23+01:00",
        "updated_at": "2026-07-20T09:57:23+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "813b1931-7fef-4422-b11f-7c135dd76d88",
          "created_at": "2026-07-20T09:57:30+01:00",
          "updated_at": "2026-07-20T09:57:30+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      }
    }
  ]
}